declare class CommonObservers {
    isInit: boolean;
    init(): void;
    destroy(): void;
    onOnline(): Promise<void>;
    onOffline(): void;
    onMuteUpdate: (data: any) => void;
    onTopUpdate: (data: any) => void;
    onHideUpdate(data: any): void;
    onMsgReceive: (data: any) => Promise<void>;
}
declare const self: CommonObservers;
export default self;
